var $AdfMenuSubIdUtils$$ = {};
$goog$exportSymbol$$("AdfMenuSubIdUtils", $AdfMenuSubIdUtils$$);
$AdfMenuSubIdUtils$$.$getMenuItemElement$ = function $$AdfMenuSubIdUtils$$$$getMenuItemElement$$($component$$2478$$, $rootElement$$186$$, $subElementId$$74$$) {
  $AdfAssert$$.$assertNonEmptyString$($subElementId$$74$$);
  if ($AdfMenuUtils$$.$isOnMenuBar$($component$$2478$$)) {
    if ("bar-item-text" == $subElementId$$74$$ || "text" == $subElementId$$74$$) {
      return $AdfMenuSubIdUtils$$.$_getBarItemTextElement$($rootElement$$186$$);
    }
    if ("bar-item-icon" == $subElementId$$74$$) {
      return $AdfMenuSubIdUtils$$.$_getBarItemIconElement$($rootElement$$186$$);
    }
  } else {
    if ($AdfMenuUtils$$.$isInMenu$($component$$2478$$)) {
      if ("submenu-text" == $subElementId$$74$$ || "text" == $subElementId$$74$$) {
        return $AdfMenuSubIdUtils$$.$_getMenuItemTextElement$($rootElement$$186$$);
      }
      if ("submenu-icon" == $subElementId$$74$$) {
        return $AdfMenuSubIdUtils$$.$_getMenuItemIconElement$($rootElement$$186$$);
      }
    }
  }
  return null;
};
$goog$exportSymbol$$("AdfMenuSubIdUtils.getMenuItemElement", $AdfMenuSubIdUtils$$.$getMenuItemElement$);
$AdfMenuSubIdUtils$$.$getMenuItemBestMatchSubId$ = function $$AdfMenuSubIdUtils$$$$getMenuItemBestMatchSubId$$($component$$2479_mbTextElement_menuTextElement$$, $mbIconElement_menuIconElement_rootElement$$187$$, $childElement$$43$$) {
  if ($AdfMenuUtils$$.$isOnMenuBar$($component$$2479_mbTextElement_menuTextElement$$)) {
    $component$$2479_mbTextElement_menuTextElement$$ = $AdfMenuSubIdUtils$$.$_getBarItemTextElement$($mbIconElement_menuIconElement_rootElement$$187$$);
    if (null != $component$$2479_mbTextElement_menuTextElement$$ && $component$$2479_mbTextElement_menuTextElement$$ == $childElement$$43$$) {
      return "bar-item-text";
    }
    $mbIconElement_menuIconElement_rootElement$$187$$ = $AdfMenuSubIdUtils$$.$_getBarItemIconElement$($mbIconElement_menuIconElement_rootElement$$187$$);
    if (null != $mbIconElement_menuIconElement_rootElement$$187$$ && $mbIconElement_menuIconElement_rootElement$$187$$ == $childElement$$43$$) {
      return "bar-item-icon";
    }
  } else {
    if ($AdfMenuUtils$$.$isInMenu$($component$$2479_mbTextElement_menuTextElement$$)) {
      $component$$2479_mbTextElement_menuTextElement$$ = $AdfMenuSubIdUtils$$.$_getMenuItemTextElement$($mbIconElement_menuIconElement_rootElement$$187$$);
      if (null != $component$$2479_mbTextElement_menuTextElement$$ && $component$$2479_mbTextElement_menuTextElement$$ == $childElement$$43$$) {
        return "submenu-text";
      }
      $mbIconElement_menuIconElement_rootElement$$187$$ = $AdfMenuSubIdUtils$$.$_getMenuItemIconElement$($mbIconElement_menuIconElement_rootElement$$187$$);
      if (null != $mbIconElement_menuIconElement_rootElement$$187$$ && $mbIconElement_menuIconElement_rootElement$$187$$ == $childElement$$43$$) {
        return "submenu-icon";
      }
    }
  }
};
$goog$exportSymbol$$("AdfMenuSubIdUtils.getMenuItemBestMatchSubId", $AdfMenuSubIdUtils$$.$getMenuItemBestMatchSubId$);
$AdfMenuSubIdUtils$$.$_getBarItemTextElement$ = function $$AdfMenuSubIdUtils$$$$_getBarItemTextElement$$($rootElement$$188$$) {
  return $AdfDomUtils$$.$getDescendentElement$($rootElement$$188$$, "A", 0);
};
$AdfMenuSubIdUtils$$.$_getMenuItemTextElement$ = function $$AdfMenuSubIdUtils$$$$_getMenuItemTextElement$$($rootElement$$189$$) {
  return $AdfDomUtils$$.$getDescendentElement$($rootElement$$189$$, "TD", 1);
};
$AdfMenuSubIdUtils$$.$_getBarItemIconElement$ = function $$AdfMenuSubIdUtils$$$$_getBarItemIconElement$$($iconTd_rootElement$$190$$) {
  $iconTd_rootElement$$190$$ = $AdfDomUtils$$.$getDescendentElement$($iconTd_rootElement$$190$$, "TD", 0);
  return $AdfDomUtils$$.$getDescendentElement$($iconTd_rootElement$$190$$, "IMG", 0);
};
$AdfMenuSubIdUtils$$.$_getMenuItemIconElement$ = function $$AdfMenuSubIdUtils$$$$_getMenuItemIconElement$$($iconTd$$1_rootElement$$191$$) {
  $iconTd$$1_rootElement$$191$$ = $AdfDomUtils$$.$getDescendentElement$($iconTd$$1_rootElement$$191$$, "TD", 0);
  return $AdfDomUtils$$.$getDescendentElement$($iconTd$$1_rootElement$$191$$, "IMG", 0);
};
